boost::geometry::invalid_input_exception Class Reference
core: meta-functions for geometry types

Invalid Input Exception. More...

Inheritance diagram for boost::geometry::invalid_input_exception:

List of all members.

## Public Member Functions

| invalid_input_exception ()
virtual char const * | what () const throw ()

## Detailed Description

Invalid Input Exception.

The invalid_input_exception is thrown if an invalid attribute is passed into a function, e.g. a DE-9IM mask string code containing invalid characters passed into a de9im::mask constructor.

## Constructor & Destructor Documentation

boost::geometry::invalid_input_exception::invalid_input_exception | ( |  | ) |

## Member Function Documentation

virtual char const* boost::geometry::invalid_input_exception::what | ( |  | ) | const throw ()`[virtual]`

Reimplemented from boost::geometry::exception.

Reimplemented in boost::geometry::empty_input_exception.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK